import { createRouter, createWebHashHistory } from 'vue-router'

// ...existing code...

export const routes = [
    {
        path: '/',
        component: () => import('@/views/layout/vueLayout.vue'),
        redirect: '/dashboard',
        children: [
            {
                path: 'dashboard',
                name: 'MainPage',
                component: () => import('@/views/Dashboard/index.vue'),
                exact: true
            },
            {
                path: 'inspection',
                name: 'InspectionPage',
                component: () => import('@/views/Inspection/index.vue'),
                exact: true
            }
        ] 
    }
]

const router = createRouter({
    history: createWebHashHistory(),
    routes
})

// ...existing code...

export default router